module.exports = function(grunt) {

  grunt.initConfig({
    jshint: {
      options: {
        laxcomma: true,
        loopfunc: true,
        expr: true
      },
      kperf: {
        src: [
          "src/js/calendarview.js",
          "src/js/kperf.js"
        ]
      }
    },

    concat: {
      kperf: {
        files: {
          "build/kperf.js": [
            "src/js/open.js",
            "src/js/lib/es5-shim.js",
            "src/js/calendarview.js",
            "src/js/kperf.js",
            "src/js/close.js",
          ]
        }
      },
    },

    copy: {
      kperf: {
        files: [
          {
            expand: true,
            src: "*",
            cwd: "src/css/img",
            dest: "build/"
          },
          {
            expand: true,
            src: "*",
            cwd: "src/css/fontello/font",
            dest: "build/"
          }
        ]
      }
    },

    less: {
      kperf: {
        src: "src/css/kperf.less",
        dest: "build/kperf.css"
      }
    },

    uglify: {
      kperf: {
        files: {
          "build/kperf.min.js": ["build/kperf.js"]
        }
      }
    },
    cssmin: {
      kperf: {
        src: "build/kperf.css",
        dest: "build/kperf.min.css"
      }
    },
    svgmin: { 
      kperf: {
        files: {
            'build/kicons.svg': 'src/css/fontello/font/kicons.svg'
        }
      }
    }


  });

  grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-contrib-copy');
  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-less');
  grunt.loadNpmTasks('grunt-css');
  grunt.loadNpmTasks('grunt-svgmin');

  grunt.registerTask('default', ['jshint', 'concat', 'copy', 'less']);
  grunt.registerTask('min', ['uglify', 'cssmin', 'svgmin']);

}